package com.ycwl.basic.controller.pc;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.pc.profitsharing.resp.ProfitSharingRecordRespVO;
import com.ycwl.basic.service.pc.ProfitSharingRecordService;
import com.ycwl.basic.utils.ApiResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/api/profitSharingRecord/v1")
@Api(tags = "利润分成记录相关接口")
public class ProfitSharingRecordController {

    @Autowired
    private ProfitSharingRecordService profitSharingRecordService;

    @ApiOperation("根据景区ID查询利润分成记录，支持分页，按创建时间倒序")
    @GetMapping("/page")
    public ApiResponse<PageInfo<ProfitSharingRecordRespVO>> findByScenicId(@RequestParam(required = false) Long scenicId, @RequestParam int pageNum, @RequestParam int pageSize) {
        PageHelper.startPage(pageNum, pageSize, "create_time desc");
        List<ProfitSharingRecordRespVO> records = profitSharingRecordService.findByScenicId(scenicId);
        PageInfo<ProfitSharingRecordRespVO> pageInfo = new PageInfo<>(records);
        return ApiResponse.success(pageInfo);
    }

}
